import {Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {HTTP} from "@ionic-native/http";
import {DataFormatService} from "../../core/dataFormat.service";
import {Observable} from "rxjs";
import {SERVER_API_URL} from "../../app/app.constants";

@Injectable()
export class NewsService {


    constructor(private http: HttpClient, private nativeHttp: HTTP,
                private dataFormat: DataFormatService) {
    }

    noticeSearch(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/notice/search.do', data);
    }

    //定时提醒
    dqtxList(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/schedule/dqtxList.do', data);
    }

    //人工提醒
    rgtxList(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/schedule/rgtxList.do', data);
    }
}
